var iOpcionFotos;
var iMaxOpcionFotos = 0;
var iPaginaFotos = 0;
var iMaxPaginaFotos;
var cValoresFotos = [];

function Pag_Fotos_Show() {
	Page_Show("Pag_Fotos",
		 '<table width="720px" cellpadding="0" cellspacing="0" style="position: absolute; table-layout: fixed; background-image: url(fondo_datos.png);">'
		+'<tr height="88px">'
		+'	<td width="75px"/>'
		+'	<td width="320px" valign="bottom" style="color:#ffffff; font-size:18pt;">Fotos</td>'
		+'	<td width="180px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="140px"/>'
		+'</tr>'
		+'<tr height="17px"/>'
		+'<tr height="34px"><td/><td width="320px" class="font16"><u>&nbsp;Programa</u></td><td align="right" class="font16"><u>Fecha</u></td></tr>'
		+'<tr height="415px">'
		+'	<td/>'
		+'	<td valign="top" colspan="3">'
		+'	<table id="Pag_Fotos_Form" width="580px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'		<tr height="34px" id="Pag_Fotos_Opcion1"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono1" width="30px"/>  <td id="Pag_Fotos_Programa1" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha1"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion2"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono2" width="30px"/>  <td id="Pag_Fotos_Programa2" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha2"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion3"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono3" width="30px"/>  <td id="Pag_Fotos_Programa3" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha3"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion4"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono4" width="30px"/>  <td id="Pag_Fotos_Programa4" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha4"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion5"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono5" width="30px"/>  <td id="Pag_Fotos_Programa5" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha5"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion6"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono6" width="30px"/>  <td id="Pag_Fotos_Programa6" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha6"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion7"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono7" width="30px"/>  <td id="Pag_Fotos_Programa7" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha7"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion8"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono8" width="30px"/>  <td id="Pag_Fotos_Programa8" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha8"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion9"  style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono9" width="30px"/>  <td id="Pag_Fotos_Programa9" width="400px"  class="font16"></td><td id="Pag_Fotos_Fecha9"  width="130px" class="font16"></td></tr>'
		+'		<tr height="34px" id="Pag_Fotos_Opcion10" style="background-repeat: no-repeat;"><td id="Pag_Fotos_Icono10" width="30px"/> <td id="Pag_Fotos_Programa10" width="400px" class="font16"></td><td id="Pag_Fotos_Fecha10" width="130px" class="font16"></td></tr>'
		+'	</table>'
		+'	</td>'
		+'	<td width="56px"/>'
		+'</tr>'
		+'</table>');
	iOpcionFotos = 1;
	iMaxPaginaFotos = 1;
	CargarFotos(1);
}

function Pag_Fotos_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarFotos(iOpcionFotos - 1);
			return 0;
		case KEY_DOWN:
			ActualizarFotos(iOpcionFotos + 1);
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			Pag_Play_PlayVideo(iOpcionFotos);
			return 0;
		case KEY_LEFT:
		case KEY_BACK:
			Pag_Canal_Show(iNumCanal, false);
			return 0;
		}
	} catch(ex) {
		alert("Pag_Fotos_KeyDown: " + ex);
	}
	return 1;
}

var RefreshCargarFotos = function(data) {
	try {
		var cLineas = (data+"\n\n\n\n\n\n\n\n\n\n\n\n").split("\n");
		
		if (cLineas[0].substr(0,6) == "Items:") {
			iMaxPaginaFotos = Math.floor((parseInt(cLineas[0].substr(6,10))-1)/10) * 10 + 1;
		} else {
			iMaxPaginaFotos = 1;
			cLineas = ("\n\n\n\n\n\n\n\n\n\n\n\n\n").split("\n");
		}
		iMaxOpcionFotos = 0;
		cValoresFotos[iNumLinea] = [];
		
		for (var iNumLinea = 1; iNumLinea <= 10; iNumLinea++) {
			cValoresFotos[iNumLinea] = (cLineas[iNumLinea]+"\t\t\t").split("\t");
			document.getElementById("Pag_Fotos_Opcion" + iNumLinea).style.backgroundImage="none";
			document.getElementById("Pag_Fotos_Programa" + iNumLinea).innerHTML = cValoresFotos[iNumLinea][0];
			document.getElementById("Pag_Fotos_Fecha" + iNumLinea).innerHTML = cValoresFotos[iNumLinea][1];
			switch (cValoresFotos[iNumLinea][2]) {
			case "0":
				document.getElementById("Pag_Fotos_Icono" + iNumLinea).innerHTML = "<img src='icon_foto.png'/>";
				iMaxOpcionFotos = iNumLinea;
				break;
			case "1":
				document.getElementById("Pag_Fotos_Icono" + iNumLinea).innerHTML = "<img src='icon_dir.png'/>";
				iMaxOpcionFotos = iNumLinea;
				break;
			default:
				document.getElementById("Pag_Fotos_Icono" + iNumLinea).innerHTML = "";
			}
		}
		if (iMaxOpcionFotos > 0) {
			if (iOpcionFotos == 0) {
				ActualizarFotos(iMaxOpcionFotos);
			} else {
				iOpcionFotos = 0;
				ActualizarFotos(1);
			}
		}
		document.getElementById("Pag_Fotos_Form").style.display = "block";
	} catch(ex) {
		alert("RefreshCargarFotos: " + ex);
	}
}
	
function CargarFotos(iPag) {
	try {
		document.getElementById("Pag_Fotos_Form").style.display = "none";
		iPaginaFotos = iPag;
		if (iPaginaFotos < 1) iPaginaFotos = iMaxPaginaFotos;
		if (iPaginaFotos > iMaxPaginaFotos) iPaginaFotos = 1;
//		SendMsg("LIST " + iPaginaFotos, RefreshCargarFotos);
		SendMsg("LIST " + iPaginaFotos, RefreshCargarFotos);
	} catch(ex) {
		alert("CargarFotos: " + ex);
	}
}

function ActualizarFotos(iOpc) {
	try {
		if (iOpcionFotos > 0) {
			document.getElementById("Pag_Fotos_Opcion" + iOpcionFotos).style.backgroundImage="none";
		}
		iOpcionFotos = iOpc;
		if (iOpcionFotos < 1) CargarFotos(iPaginaFotos - 10);
		else if (iOpcionFotos > iMaxOpcionFotos) CargarFotos(iPaginaFotos + 10);
		else document.getElementById("Pag_Fotos_Opcion" + iOpcionFotos).style.backgroundImage="url(cursor_grande.png)";
	} catch(ex) {
		alert("ActualizarFotos: " + ex);
	}
}

